﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace ChartTestApp
{
    /// <summary>
    /// Interaktionslogik für Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            Mode1();
        }

        private void Mode1()
        {
            DataTable _dt = new DataTable();
            _dt.Columns.Add("Key");
            _dt.Columns.Add("Value");

            DataRow _dr = _dt.NewRow();
            _dr["Key"] = 0;
            _dr["Value"] = 5;

            _dt.Rows.Add(_dr);

            _dr = _dt.NewRow();
            _dr["Key"] = 4;
            _dr["Value"] = 8;

            _dt.Rows.Add(_dr);

            _dr = _dt.NewRow();
            _dr["Key"] = 7;
            _dr["Value"] = 12;

            _dt.Rows.Add(_dr);

            chart.DataContext = _dt;

            chart.ShowMarks = false;
            chart.SeriesTypeInt = 2;

            chart.XAuto = false;
            chart.XMin = 0;
            chart.XMax = 14;

        }

        private void Mode2()
        {
            DataTable _dt = new DataTable();
            _dt.Columns.Add("Key");
            _dt.Columns.Add("Val1");
            _dt.Columns.Add("Val2");

            DataRow _dr = _dt.NewRow();
            _dr["Key"] = 0;
            _dr["Val1"] = 5;
            _dr["Val2"] = 8;

            _dt.Rows.Add(_dr);

            _dr = _dt.NewRow();
            _dr["Key"] = 1;
            _dr["Val1"] = 2;
            _dr["Val2"] = 3;

            _dt.Rows.Add(_dr);

            chart.DataContext = _dt;

            chart.ShowMarks = false;
            chart.SeriesTypeInt = 3;

            chart.XAuto = true;
            chart.Stacked100 = false;

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {

        }

        private void ToggleButton_Unchecked(object sender, RoutedEventArgs e)
        {
            Mode1();
        }

        private void ToggleButton_Checked(object sender, RoutedEventArgs e)
        {
            Mode2();
        }
    }
}
